DataBindingSourceCreator (Grails 5.2.5)

Package: org.grails.databinding.bindingsource

## [Groovy] Interface DataBindingSourceCreator

- grails.web.mime.MimeTypeProvider

- All Superinterfaces:
    MimeTypeProvider

      interface DataBindingSourceCreator
      extends MimeTypeProvider

  A factory for DataBindingSource instances

  Since:
    2.3
  See Also:
    DataBindingSource

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Creates a CollectionDataBindingSource suitable for binding bindingSource to bindingTarget
    `` | `abstract DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Creates a DataBindingSource suitable for binding bindingSource to bindingTarget
    `` | `abstract java.lang.Class` | `getTargetType()` Returns: The target type of this creator

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface MimeTypeProvider` | `getMimeTypes`

- - ### Method Detail

    - #### abstract CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

      Creates a CollectionDataBindingSource suitable for binding bindingSource to bindingTarget

      throws:
        DataBindingSourceCreationException if an unrecoverable error occurs creating the binding source
      Parameters:
        `mimeType` - a mime type
        `bindingTarget` - the type of the target of the data binding
        `bindingSource` - the value being bound
      Returns:
        a CollectionDataBindingSource

    - #### abstract DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

      Creates a DataBindingSource suitable for binding bindingSource to bindingTarget

      throws:
        DataBindingSourceCreationException if an unrecoverable error occurs creating the binding source
      Parameters:
        `mimeType` - a mime type
        `bindingTarget` - the type of the target of the data binding
        `bindingSource` - the value being bound
      Returns:
        a DataBindingSource

    - #### abstract java.lang.Class getTargetType()

      Returns:
        The target type of this creator